Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708510 - net-analyzer/nast-0.2.0-r2 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/nast-0.2.0-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-06 22:20 UTC by Toralf Förster
Modified: 2020-02-07 07:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.28 KB, text/plain)
2020-02-06 22:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,133.59 KB, text/plain)
2020-02-06 22:20 UTC, Toralf Förster
Details
environment (environment,58.27 KB, text/plain)
2020-02-06 22:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.52 KB, application/x-bzip)
2020-02-06 22:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.34 KB, application/x-bzip)
2020-02-06 22:20 UTC, Toralf Förster
Details
net-analyzer:nast-0.2.0-r2:20200205-235709.log (net-analyzer:nast-0.2.0-r2:20200205-235709.log,189.98 KB, text/plain)
2020-02-06 22:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.53 KB, application/x-bzip)
2020-02-06 22:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-06 22:20:19 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -c ncurses/n_conn.c -o ncurses/n_conn.o
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -c ncurses/n_rst.c -o ncurses/n_rst.o
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -c ncurses/n_nast.c -o ncurses/n_nast.o
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wl,-O1 -Wl,--as-needed -o nast main.o dev.o tcp.o icmp.o arp.o udp.o prom.o eth.o map.o sniff.o data.o rst.o fgw.o flink.o port.o common.o stream.o igmp.o bcount.o error.o ncurses/n_menu.o ncurses/n_scroll_win.o ncurses/n_comm.o ncurses/n_stream.o ncurses/n_conn.o ncurses/n_rst.o ncurses/n_nast.o  -lpthread -lmenu -lncurses -lpcap -lnet  -lncurses -ltinfo  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: dev.o:(.bss+0xc0): multiple definition of `datalink'; main.o:(.bss+0xc0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: dev.o:(.bss+0x0): multiple definition of `row_s'; main.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200202-131532

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 05 Feb 2020 20:08:58 +0000

emerge -qpvO net-analyzer/nast
[ebuild  N    ] net-analyzer/nast-0.2.0-r2  USE="ncurses"
Comment 1 Toralf Förster gentoo-dev 2020-02-06 22:20:22 UTC
Created attachment 612134 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-06 22:20:25 UTC
Created attachment 612136 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-06 22:20:28 UTC
Created attachment 612138 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-06 22:20:30 UTC
Created attachment 612140 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-06 22:20:33 UTC
Created attachment 612142 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-06 22:20:36 UTC
Created attachment 612144 [details]
net-analyzer:nast-0.2.0-r2:20200205-235709.log
Comment 7 Toralf Förster gentoo-dev 2020-02-06 22:20:39 UTC
Created attachment 612146 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-07 07:45:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05cde0f7f599843b855db3813f1905a5e60efe80

commit 05cde0f7f599843b855db3813f1905a5e60efe80
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-07 07:44:43 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-07 07:45:27 +0000

    net-analyzer/nast: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.87, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=708510
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/nast/nast-0.2.0-r2.ebuild | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)